Doomsday Engine - Feature #2381

Support for 8-bit and run-length encoded TGA images
2019-12-25 17:12 - thesourcehim

Status: Closed Start date: 2019-12-25
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 23

Description

Currently doomsday can not load and use TGA textures that contain 8bit alpha channel only data.
Examples: jDRP Particle00.tga and Particle23.tga

Related issues:

Related to Bug #2380: [Linux] Errors when loading resources from PK3s Rejected 2019-12-24

Associated revisions

Revision 5f3810c0 - 2019-12-26 20:24 - skyjake

Resources: Use libgui's TGA loader

libdoomsday had the old TGA loader that works with FS1. That is now replaced with a call to
de::Image::fromData() that uses Qt for now, and stb_image in the future. libgui's TGA loader can
read RLE-formatted images unlike the old TGA loader.

libgui's TGA loader was modified to allow reading colormapped 8-bit images.
History

#1 - 2019-12-26 07:31 - skyjake

- Category set to Regression

- Status changed from New to In Progress

- Assignee changed from Deng Team to skyjake

- Target version set to 2.3.x

This would be useful to improve support for old resource packs.

#2 - 2019-12-26 08:06 - skyjake
- Subject changed from Support for alpha 8bit TGA textures to Support for 8-bit and run-length encoded TGA images

#3 - 2019-12-26 08:08 - skyjake

libgui has a newer TGA loader that supports RLE in addition to plain RGB/RGBA. However, it is not used for particle textures.

The old TGA loader should be revised to use libgui's better implementation instead.

#4 - 2019-12-26 09:24 - skyjake
- Related to Bug #2380: [Linux] Errors when loading resources from PK3s added

#5 - 2019-12-26 20:25 - skyjake
- Status changed from In Progress to Resolved
- Target version changed from 2.3.x to 2.3

- % Done changed from 0 to 100

#6 - 2019-12-27 15:28 - thesourcehim
Updated to 3281 through flatpak, but | get the same warnings, those TGA's still can not be loaded.
#7 - 2019-12-27 15:53 - skyjake

The unstable Flatpaks aren't yet updated in sync with the rest of the autobuilder. I'll rebuild it now and you can update it then.

#8 - 2019-12-27 17:03 - thesourcehim
Why doomsday shows build number 3281 if it is not updated?

#9 - 2019-12-27 17:05 - skyjake

Perhaps it's a build config bug? I'll check if the Flatpak build correctly sets the build number.

#10 - 2019-12-27 21:51 - skyjake

Yeah that was the problem. The Flatpak builds didn't set the build number in the build configuration, so at runtime it would always show the current

day's build number.

#11 - 2020-12-08 08:27 - skyjake

- Status changed from Resolved to Closed
